/*globals Ti, Titanium*/
var win = Ti.UI.currentWindow;
var console = Ti.UI.createLabel({
	left: 0, right: 0, top: 0, height: 30,
	color: 'black', font: {fontSize: 12},
	text: 'console'
});
win.add(console);

var sv = Ti.UI.createScrollView({
	contentWidth: 'auto',
	contentHeight: 'auto',
	top: 40
});

var currentTop = 0;
var SIZE = 60;
for (var i = 0; i < 10; i++) {
	var color = 'blue';
	if (i % 2){
		color = 'yellow';
	}
	sv.add(Ti.UI.createView({
		top: currentTop,
		height: SIZE,
		left: 0, right: 0,
		backgroundColor: color
	}));
	currentTop = currentTop + SIZE + 10;
}

sv.addEventListener('scroll', function(e) {
	console.text = "scroll x=" + e.x + ", y=" + e.y;
});
sv.addEventListener('scrollEnd', function(e) {
	console.text = console.text + '; scrollEnd!';
});
win.add(sv);
